/**
 * Copyright (c) 2011-2013 by Andrew Mustun. All rights reserved.
 * 
 * This file is part of the QCAD project.
 *
 * QCAD is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * QCAD is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with QCAD.
 */

/**
 * \defgroup ecma_cam Cam Tools
 * \ingroup ecma_scripts
 *
 * \brief This module contains ECMAScript implementations of various machine control tools.
 */
include("../EAction.js");

/**
 * \class Cam
 * \brief Base class for all Cam tools.
 */
function Cam(guiAction) {
    EAction.call(this, guiAction);
}

Cam.prototype = new EAction();
Cam.includeBasePath = includeBasePath;

Cam.getMenu = function() {
    var menu = EAction.getMenu(Cam.getTitle(), "CamMenu");
    menu.setProperty("scriptFile", Cam.includeBasePath + "/Cam.js");
    return menu;
};

Cam.getToolBar = function() {
    var tb = EAction.getToolBar(Cam.getTitle(), "CamToolBar");
    tb.visible = false;
    return tb;
};

Cam.getCadToolBarPanel = function() {
    return EAction.getMainCadToolBarPanel();
};

Cam.getTitle = function() {
    return qsTr("&Cam");
};

Cam.prototype.getTitle = function() {
    return Cam.getTitle();
};
